|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QResource

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QResource class reference

### Static Public Members

- void addSearchPath ( const QString & path ) `(obsolete)`

## Member Function Documentation

### void QResource::addSearchPath ( const QString & path ) `[static]`

Adds path to the search paths searched in to find resources that are not specified with an absolute path. The path must be an absolute path (start with `/`).

The default search path is to search only in the root (`:/`). The last path added will be consulted first upon next QResource creation.

Use QDir::addSearchPath() with a prefix instead.